org.eclipse.oomph.setup

## Class AnnotationConstants

- java.lang.Object
- - org.eclipse.oomph.setup.AnnotationConstants

-     public final class AnnotationConstants
      extends Object

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ANNOTATION_FEATURE_SUBSTITUTION`
    `static String` | `ANNOTATION_GLOBAL_VARIABLE`
    `static String` | `ANNOTATION_INDUCED_CHOICES`
    `static String` | `ANNOTATION_INHERITED_CHOICES`
    `static String` | `ANNOTATION_PASSWORD_VERIFICATION`
    `static String` | `ANNOTATION_USER_PREFERENCES`
    `static String` | `KEY_DESCRIPTION`
    `static String` | `KEY_INHERIT`
    `static String` | `KEY_LABEL`
    `static String` | `KEY_TARGET`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANNOTATION_USER_PREFERENCES

          public static final String ANNOTATION_USER_PREFERENCES

      See Also:
        Constant Field Values

    - #### ANNOTATION_INHERITED_CHOICES

          public static final String ANNOTATION_INHERITED_CHOICES

      See Also:
        Constant Field Values

    - #### ANNOTATION_INDUCED_CHOICES

          public static final String ANNOTATION_INDUCED_CHOICES

      See Also:
        Constant Field Values

    - #### ANNOTATION_FEATURE_SUBSTITUTION

          public static final String ANNOTATION_FEATURE_SUBSTITUTION

      See Also:
        Constant Field Values

    - #### ANNOTATION_PASSWORD_VERIFICATION

          public static final String ANNOTATION_PASSWORD_VERIFICATION

      See Also:
        Constant Field Values

    - #### ANNOTATION_GLOBAL_VARIABLE

          public static final String ANNOTATION_GLOBAL_VARIABLE

      See Also:
        Constant Field Values

    - #### KEY_INHERIT

          public static final String KEY_INHERIT

      See Also:
        Constant Field Values

    - #### KEY_TARGET

          public static final String KEY_TARGET

      See Also:
        Constant Field Values

    - #### KEY_LABEL

          public static final String KEY_LABEL

      See Also:
        Constant Field Values

    - #### KEY_DESCRIPTION

          public static final String KEY_DESCRIPTION

      See Also:
        Constant Field Values

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html